<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WP_Blog
 */

$newsletter_disable = esc_attr( get_theme_mod('newsletter_disable', '') );
$mailchimp_shortcode = get_theme_mod('newsletter_form_shortcode') ;
$newsletter_position = esc_attr( get_theme_mod('newsletter_position', 'after-widget') );
?>

	</div><!-- #content -->

	<footer id="colophon" class="site-footer">

		<?php
		if ( $newsletter_disable != '1' && $mailchimp_shortcode != '' && $newsletter_position == 'before-widget' ) :
			?>
            <div class="footer-newsletter">
                <div class="container">
					<?php echo do_shortcode( wp_kses_post( $mailchimp_shortcode ) ); ?>
                </div>
            </div>
		<?php endif; ?>


        <div class="container widgets">
            <div class="row">
                <div class="col-md-4">
	                <?php
                    if ( is_active_sidebar( 'footer-1' ) ) {
		                dynamic_sidebar('footer-1');
	                }
	                ?>
                </div>
                <div class="col-md-4">
		            <?php
		            if ( is_active_sidebar( 'footer-2' ) ) {
			            dynamic_sidebar('footer-2');
		            }
		            ?>
                </div>
                <div class="col-md-4">
		            <?php
		            if ( is_active_sidebar( 'footer-3' ) ) {
			            dynamic_sidebar('footer-3');
		            }
		            ?>
                </div>
            </div>
        </div>

		<?php
		if ( $newsletter_disable != '1' && $mailchimp_shortcode != '' && $newsletter_position == 'after-widget' ) :
		?>
        <div class="footer-newsletter">
	        <div class="container">
		        <?php echo do_shortcode( wp_kses_post( $mailchimp_shortcode ) ); ?>
            </div>
        </div>
        <?php endif; ?>

		<div class="site-info">
			<div class="container">
				<?php do_action( 'wp_blog_footer_copyright' ); ?>
            </div>
		</div><!-- .site-info -->
	</footer><!-- #colophon -->

    <a href="#top" id="to-top" title="Back to top"><i class="fa fa-angle-double-up"></i></a>


</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
