<?php
/**
 * Featured content loop.
 * @package WP Blog
 */
?>
<div class="site-featured-content">
	<?php
    $tags = esc_attr( get_theme_mod('featured_tags') );
	$number = absint( get_theme_mod('featured_number', 10) );
	$args = array( 'post_type' => 'post', 'post_status' => 'publish', 'posts_per_page' => $number );

	if ( $tags != '' ) {
		$args['tag'] = $tags;
    }
	$featured_posts = new WP_Query( $args );
	// if we have no posts, our work is done here.
	if ( empty( $featured_posts ) )
		return;

	// Let's loop through our posts ?>
	<div id="featured_posts" class="owl-carousel owl-theme">

		<?php
		if ( $featured_posts->have_posts() ) {
			while( $featured_posts->have_posts() ) {
				$featured_posts->the_post();

				if ( has_post_thumbnail() ) {
					?>
					<div class="item">
						<?php the_post_thumbnail('slide-thumbnail') ; ?>
						<div class="slide-container">
							<div class="slide-content">
								<div class="slide-inside">
									<div class="slide-item">
										<h2><?php the_title(); ?></h2>
										<a class="readmore" href="<?php the_permalink() ?>"><?php esc_html_e('Read More', 'wp-blog') ?></a>
									</div>
								</div>
							</div>
						</div>
					</div>
					<?php
				}

			}
		}
		?>

	</div>
	<?php wp_reset_postdata(); ?>
</div><!-- .site-feature-content -->